Skip to content

Webex ​


Cisco Webex Calling can be integrated with the Fusion platform for subscriptions whose UC is webex (see UC values). The integration is done in two steps:

  1. A Webex customer organization is linked to the subscription. The organization can be selected among the customer organizations available on Cisco Webex (see Get the list of Webex customer organizations and Link a Webex customer organization)
  2. A top level domain is set up for the integration (see Update the Webex domain)

The progress of the integration can be followed with the onboarding status API. Once the subscription is onboarded, Webex peer trunks (types webexc and webexcc, with their region) can be created on the subscription's trunk groups. See trunk groups and peer trunk group object.

Get the list of Webex customer organizations ​

This endpoint lists the Webex customer organizations that can be linked to the subscription.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/webex/customers

Infinite scrolling vs simple pagination

Like the MS Teams users list, this API is paginated with a continuation token: the total number of records is not known beforehand. When more records are available, a next token is returned and has to be passed in the following call to fetch the next records. When the last page has been reached, no next token is returned anymore.

Authorization ​

Required role

tenants.instance.subscriptions.instance.webex.customers.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
subscription_idintegerIndex of the subscription for which you want to list the Webex customer organizations

URL/Query parameters ​

ParameterTypeDescriptionRequired?
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of resultsno
nextstringA token used to get the next records in the list. This token is taken back from the results of the previous callno
searchstringA case insensitive search on the customer organization nameno
filtersobjectAn object representing the conditions to filter out the resultsno

Response ​

Status codes ​

ParameterDescription
200Webex customer organizations have been found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404The path tenant / subscription doesn't exist
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
nextstringA token used for infinite scrolling, to be used in the next call to retrieve subsequent records. Only present if the list has to be continuedyes
customersarrayA list of Webex customer objectsno
Webex customer object ​
ParameterTypeDescriptionConditional?
idstringID of the customer on Cisco Webexno
namestringName of the customer organizationno
orgIdstringID of the customer organizationno
b64orgIdstringBase64 encoded ID of the customer organization (the value to use when linking the organization)no
statusstringProvisioning status of the customer on Cisco Webex. Possible values are:
  • provisioned: the customer is fully provisioned on Cisco Webex,
  • provisioned_with_errors: the customer is provisioned with errors,
  • provisioning: the customer is provisioning,
  • updating: the customer is updating,
  • deleting: the customer is being deleted,
  • error: an error occurred provisioning the customer on Cisco Webex,
  • pending_rpl_review: the customer is pending a Denied Party List compliance check.
no
Example ​
json
{
  "next": "Y3Vyc29yPTIw",
  "customers": [
    {
      "id": "Y2lzY29zcGFyazovL3VzL0NVU1RPTUVSLzEyMzQ1",
      "name": "Acme Corp",
      "orgId": "1eb65fdf-9643-417f-9974-ad72cae0e10f",
      "b64orgId": "Y2lzY29zcGFyazovL3VzL09SR0FOSVpBVElPTi8xZWI2NWZkZi05NjQzLTQxN2YtOTk3NC1hZDcyY2FlMGUxMGY",
      "status": "provisioned"
    }
  ]
}

Get a Webex customer organization ​

This endpoint retrieves the details of a specific Webex customer organization.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/webex/customers/{customer_org_id}

Authorization ​

Required role

tenants.instance.subscriptions.instance.webex.customers.read

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
subscription_idintegerIndex of the subscription linked to the Webex customer organization
customer_org_idstringID of the customer organization (the orgId returned by the onboarding status)

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200The Webex customer organization has been found
403The API consumer doesn't have sufficient rights to perform this action
404The customer organization or the path tenant / subscription doesn't exist
500Uncatched error on server side

Success ​

Body ​

A Webex customer object.

Example ​
json
{
  "id": "Y2lzY29zcGFyazovL3VzL0NVU1RPTUVSLzEyMzQ1",
  "name": "Acme Corp",
  "orgId": "1eb65fdf-9643-417f-9974-ad72cae0e10f",
  "b64orgId": "Y2lzY29zcGFyazovL3VzL09SR0FOSVpBVElPTi8xZWI2NWZkZi05NjQzLTQxN2YtOTk3NC1hZDcyY2FlMGUxMGY",
  "status": "provisioned"
}

This endpoint links an existing Webex customer organization to the subscription. This is the first step of the Webex integration.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/webex/customers/link

Authorization ​

Required role

tenants.instance.subscriptions.instance.webex.customers.link

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
subscription_idintegerIndex of the subscription to which the customer organization has to be linked

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
orgIDstringThe Base64 encoded ID of the customer organization (b64orgId of the Webex customer object)yes
modestringThe Webex integration mode. Possible values are: wholesale, flexno

Example ​

json
{
  "orgID": "Y2lzY29zcGFyazovL3VzL09SR0FOSVpBVElPTi8xZWI2NWZkZi05NjQzLTQxN2YtOTk3NC1hZDcyY2FlMGUxMGY"
}

Response ​

Status codes ​

ParameterDescription
200The customer organization has been linked to the subscription
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404The customer organization or the path tenant / subscription doesn't exist
500Uncatched error on server side

Success ​

Body ​

N/A

Get the Webex onboarding status ​

This endpoint retrieves the status of the Webex integration of the subscription. It can be polled while the integration is ongoing, until the status is onboarded, error_organization or error_domain.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/webex/status

Authorization ​

Required role

tenants.instance.subscriptions.instance.webex.status.read

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
subscription_idintegerIndex of the subscription for which you want to get the Webex onboarding status

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200The onboarding status is returned
403The API consumer doesn't have sufficient rights to perform this action
404The path tenant / subscription doesn't exist
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
statusstringThe onboarding status. Possible values are:
  • not_initiated: no customer organization is linked yet,
  • initiated: a customer organization is linked, the domain has to be set up,
  • onboarded: the integration is complete,
  • error_organization: an error occurred while linking the customer organization,
  • error_domain: an error occurred while setting up the domain.
no
modestringThe Webex integration mode: wholesale or flexyes
orgIdstringID of the linked customer organizationyes
b64orgIdstringBase64 encoded ID of the linked customer organizationyes
Example ​
json
{
  "status": "onboarded",
  "mode": "wholesale",
  "orgId": "1eb65fdf-9643-417f-9974-ad72cae0e10f",
  "b64orgId": "Y2lzY29zcGFyazovL3VzL09SR0FOSVpBVElPTi8xZWI2NWZkZi05NjQzLTQxN2YtOTk3NC1hZDcyY2FlMGUxMGY"
}

Update the Webex domain ​

This endpoint sets up the top level domain of the Webex integration. This is the second step of the Webex integration, once a customer organization has been linked.

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/webex/domain

Authorization ​

Required role

tenants.instance.subscriptions.instance.webex.domain.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant managing the subscription
subscription_idintegerIndex of the subscription for which you want to set up the Webex domain

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
domainstringThe top level domain to use for the Webex integrationyes

Example ​

json
{
  "domain": "acme.com"
}

Response ​

Status codes ​

ParameterDescription
200The domain has been updated
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404The path tenant / subscription doesn't exist
500Uncatched error on server side

Success ​

Body ​

N/A